indexing

	description: "Class that covers the Single Unix Spec sys/time.h header."

	author: "Berend de Boer"
	date: "$Date: 2003/01/09 $"
	revision: "$Revision: #1 $"


class

	SAPI_TIME


feature {NONE} -- Time functions

	posix_gettimeofday(timeval: POINTER): INTEGER is
		--  obtains the current time, expressed as seconds and
		--  microseconds since 00:00 Coordinated Universal Time (UTC),
			--  January 1, 1970, and stores it in `timeval'.
		require
			have_timeval: timeval /= default_pointer
		external "C"
		end

feature {NONE} -- C binding for members of timeval

	posix_timeval_size: INTEGER is
		external "C"
		ensure
			valid_size: Result > 0
		end

	posix_timeval_tv_sec (a_timeval: POINTER): INTEGER is
			-- seconds
		require
			have_struct_pointer: a_timeval /= default_pointer
		external "C"
		end

	posix_timeval_tv_usec (a_timeval: POINTER): INTEGER is
			-- microseconds
		require
			have_struct_pointer: a_timeval /= default_pointer
		external "C"
		end

	posix_set_timeval_tv_sec (a_timeval: POINTER; tv_sec: INTEGER) is
		require
			have_struct_pointer: a_timeval /= default_pointer
		external "C"
		end

	posix_set_timeval_tv_usec (a_timeval: POINTER; tv_usec: INTEGER) is
		require
			have_struct_pointer: a_timeval /= default_pointer
		external "C"
		end

end
